API ReferenceapicommunityGET /v1/communities

GET /v1/communities

Service: community · operationId: (none)

Required scopes

(no scope declared — review service config)

Query parameters

  • limit (integer) —
  • cursor (string) —
  • filter (string) —

Responses

200 Paginated list of communities

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "slug": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": [
              "string",
              "null"
            ]
          },
          "cover_image_url": {
            "type": [
              "string",
              "null"
            ]
          },
          "owner_user_id": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          }
        },
        "required": [
          "slug",
          "name",
          "description",
          "cover_image_url",
          "owner_user_id",
          "created_at"
        ]
      }
    },
    "next_cursor": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next_cursor"
  ]
}

Example

curl -X GET https://community.platform.loop.health/v1/communities \
  -H "Authorization: Bearer $ACCESS_TOKEN"